Skip to content
Start here

List Public Finetunes

GET/accounts/{account_id}/ai/finetunes/public

Lists publicly available fine-tuned models that can be used with Workers AI.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
Path ParametersExpand Collapse
account_id: optional string
Query ParametersExpand Collapse
limit: optional number

Pagination Limit

offset: optional number

Pagination Offset

orderBy: optional string

Order By Column Name

ReturnsExpand Collapse
result: array of object { id, created_at, model, 4 more }
id: string
formatuuid
created_at: string
formatdate-time
model: string
modified_at: string
formatdate-time
name: string
public: boolean
description: optional string
success: boolean

List Public Finetunes

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai/finetunes/public \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "model": "model",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "public": true,
      "description": "description"
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "model": "model",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "public": true,
      "description": "description"
    }
  ],
  "success": true
}